/* CONTENEDOR GENERAL */
.seccionGalery {
  max-width: 1200px;
  margin: auto;
  padding: 2em;

  display: grid;
  grid-template-columns: repeat(3, minmax(250px, 1fr));
  gap: 15px;
  justify-content: center;
}

/* TITULO */
.seccionGalery h2 {
  grid-column: 1 / -1;
  text-align: center;
  margin-bottom: 30px;
}

/* CARD */
.seccionGalery_card {
  width: 100%;
  max-width: 400px;
  background: #f1e6cec9;
  border-radius: 25px;
  padding: 10px;
  gap: 0.5em;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.08);
 position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
overflow: hidden;
  transition: all 0.3s ease;
}



.seccionGalery_card::after{
    content: "";
  position: absolute;
  inset: 0;
  padding: 2px; /* grosor del borde */
  border-radius: 25px;
  background: url("/recursos/img/texturaLapiz.png");
  background-size: contain;

   /* Webkit (Chrome, Safari) */
  -webkit-mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);

  -webkit-mask-composite: xor;

  /* Standard (Firefox y futuro) */
  mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  mask-composite: exclude;     /* 👈 fallback */
    pointer-events: none;
}

.seccionGalery_card:hover {
  scale: calc(1.1);
  transform: translateY(-10px);
  box-shadow: 0 18px 40px rgba(0, 0, 0, 0.12);
 
}

/* IMAGEN */
.seccionGalery_card img {
  width: 100%;
  height: 100%;
  border-radius: 20px;
  margin-bottom: 10px;
}

/* TITULO CARD */
.seccionGalery_card h3 {
  text-align: center;
  font-size: 18px;
  margin-bottom: 10px;
}

/* TEXTO */
.seccionGalery_card_text {
  text-align: center;
}

.seccionGalery_card_text span {
  font-size: 14px;
  color: #555;
  line-height: 1.5;
  display: block;
  margin-bottom: 15px;
}

/* BOTONES */
.seccionGalery_card_button {
  display: flex;
  gap: 1px;
  justify-content: center;
  flex-wrap: wrap; /* 👈 clave para que no se rompa */
}

.seccionGalery_card_button .button-55{
    box-shadow: none;
    width: 150px;
}

.seccionGalery_card_button .button-55:hover {
  box-shadow: none;
 
}



/* TEXTO FINAL */
.div-text-valor {
  grid-column: 1 / -1;
  text-align: center;
}



/* ========================= */
/* 📱 RESPONSIVE MEJORADO */
/* ========================= */

/* Tablet */
@media (max-width: 900px) {
  .seccionGalery {
    grid-template-columns: repeat(2, minmax(250px, 1fr));
  }
}

/* Móvil */
@media (max-width: 600px) {
  .seccionGalery {
    grid-template-columns: 1fr;
  }

  .seccionGalery_card {
    max-width: 100%;
  }

}